#! /bin/sh
#  Remove installed driver script for 'symhisl' HBA driver
#  This script must be run as root user
#
#  This will perform the following actions:
#
#  delete the driver files from /kernel/drv
#  run rem_drv(1M) to remove the drivers from the system, including:
#     - aliases appropriate for pci devices
#     - class of type 'scsi', to permit attaching scsi target drivers
#     - touches /reconfigure
#  remove the driver entry from the /etc/devlink.tab file
#
#  Following removal, please reboot the machine to unload the driver

DST=/kernel/drv
DEVLINKTB="/etc/devlink.tab"
TMP=/tmp/$$

# Remove the symhisl driver
rem_drv symhisl
rm -f ${DST}/symhisl.conf ${DST}/symhisl

# Remove the shared driver entry in the /etc/devlink.tab file
grep -v "type=symsl_ctl" ${DEVLINKTB} >$TMP.devlink
mv $TMP.devlink ${DEVLINKTB}
rm -f /dev/symslctl*
echo "Following removal, please reboot the machine to unload the driver"

